Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512175 - Unresponsive GUI in F27
Summary: Unresponsive GUI in F27
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-11 10:26 UTC by Jakub Jelinek
Modified: 2018-11-30 18:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:18:52 UTC


Attachments (Terms of Use)
journalctl -b _COMM=gdm-x-session output (deleted)
2017-11-11 10:53 UTC, Jakub Jelinek
no flags Details

Description Jakub Jelinek 2017-11-11 10:26:16 UTC
I've just freshly installed http://dl.fedoraproject.org/pub/alt/stage/27_RC-1.6/Workstation/x86_64/os/
and while the install went fine, X session seems to be extremely non-responsive, in all of gnome-terminal, xterm and firefox after pressing any letter they show up after about 2 seconds, similarly for mouse clicks, scroll etc.
The machine has enough memory and swap and is not using swap at all, top doesn't show up any significant CPU usage.  Reproduceable across two power offs, and is similarly slow in gdm as well as gnome-shell session. ps shows two /usr/libexec/Xorg processes, the box has NVIDIA (with nouveau) and Radeon graphics, but both monitors are connected to the NVIDIA card.
Outside of X in a terminal the responsivity to keyboard typing is just fine.

Comment 1 Jakub Jelinek 2017-11-11 10:53:30 UTC
Created attachment 1350861 [details]
journalctl -b _COMM=gdm-x-session output

Note, no such issues were seen in F25 before with the same configuration or earlier Fedora version.s

Comment 2 Jakub Jelinek 2017-11-11 10:59:41 UTC
Tried different keyboards (USB vs. PS/2), no difference.  Even in xev, pressing a letter results in no action for about 2 seconds and then something is printed.

Comment 3 Jakub Jelinek 2017-11-13 14:11:15 UTC
Removed the NVIDIA card and the responsiveness is back to what is expected (though, it uses Xwayland instead of Xorg in that case).
Will try to forcefully switch to Xorg on the Radeon next.

Comment 4 Ben Cotton 2018-11-27 18:10:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 18:18:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.